<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__ancsc__char__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_ancsc_char_t</compoundname>
    <includes local="no">cy_ble_ancs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__ancsc__char__t_1ad74bed1dbe86127374567a3ae830fae7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_ancsc_char_t::properties</definition>
        <argsstring />
        <name>properties</name>
        <briefdescription>
<para>Properties for Value Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="83" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="83" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ancsc__char__t_1ac532fb5374a4bc24cb053e3349f5c394" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_ancsc_char_t::valueHandle</definition>
        <argsstring />
        <name>valueHandle</name>
        <briefdescription>
<para>Handle of server database attribute value entry. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="86" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="86" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ancsc__char__t_1a397b6728a39056addad159234cbc0207" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_ancsc_char_t::descrHandle[CY_BLE_ANCS_DESCR_COUNT]</definition>
        <argsstring>[CY_BLE_ANCS_DESCR_COUNT]</argsstring>
        <name>descrHandle</name>
        <briefdescription>
<para>ANCS client char. </para>        </briefdescription>
        <detaileddescription>
<para>descriptor handle </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="89" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="89" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ancsc__char__t_1ad726a82a0d7ca07c891cbe758e3a4162" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_ancsc_char_t::endHandle</definition>
        <argsstring />
        <name>endHandle</name>
        <briefdescription>
<para>Characteristic end handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="92" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="92" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>ANCS client Characteristic structure type. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="93" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="80" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="81" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__ancsc__char__t_1a397b6728a39056addad159234cbc0207" virt="non-virtual"><scope>cy_stc_ble_ancsc_char_t</scope><name>descrHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__ancsc__char__t_1ad726a82a0d7ca07c891cbe758e3a4162" virt="non-virtual"><scope>cy_stc_ble_ancsc_char_t</scope><name>endHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__ancsc__char__t_1ad74bed1dbe86127374567a3ae830fae7" virt="non-virtual"><scope>cy_stc_ble_ancsc_char_t</scope><name>properties</name></member>
      <member prot="public" refid="structcy__stc__ble__ancsc__char__t_1ac532fb5374a4bc24cb053e3349f5c394" virt="non-virtual"><scope>cy_stc_ble_ancsc_char_t</scope><name>valueHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>